#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2c4ccaeb, "struct_module" },
	{ 0xbdaf10ef, "usbnet_resume" },
	{ 0xed370ff7, "usbnet_suspend" },
	{ 0xeb45be4b, "usbnet_disconnect" },
	{ 0xc17c8f75, "usbnet_probe" },
	{ 0xb0cf7ecc, "usbnet_nway_reset" },
	{ 0x8d7b517, "usbnet_set_msglevel" },
	{ 0xb9c5d05c, "usbnet_get_msglevel" },
	{ 0x126c29c3, "usbnet_set_settings" },
	{ 0xb2f58ec0, "usbnet_get_settings" },
	{ 0x3dc59b60, "usb_register_driver" },
	{ 0xc96ddd65, "usb_deregister" },
	{ 0xb06e017f, "netif_carrier_off" },
	{ 0x2ddb707a, "usbnet_defer_kevent" },
	{ 0xc300bca4, "netif_carrier_on" },
	{ 0xf0822df0, "usbnet_unlink_rx_urbs" },
	{ 0xf3eebda7, "skb_pull" },
	{ 0x555c05eb, "usbnet_skb_return" },
	{ 0xaf1711cb, "skb_clone" },
	{ 0xa781076b, "skb_put" },
	{ 0x29638b55, "skb_push" },
	{ 0x91e1d752, "dev_kfree_skb_any" },
	{ 0x98ae84f6, "skb_copy_expand" },
	{ 0xa3a5be95, "memmove" },
	{ 0x2a440ab, "mii_nway_restart" },
	{ 0xba6c25dc, "usbnet_get_endpoints" },
	{ 0x577cc638, "mutex_unlock" },
	{ 0x8aaf8654, "mutex_lock" },
	{ 0x3d63c67, "generic_mii_ioctl" },
	{ 0xfaf98462, "bitrev32" },
	{ 0x92ea4ae4, "crc32_le" },
	{ 0x444fa7c7, "usb_submit_urb" },
	{ 0x891aeaf8, "kmem_cache_alloc" },
	{ 0x2d1952d2, "malloc_sizes" },
	{ 0xcc6f9166, "usb_alloc_urb" },
	{ 0xff79c4c1, "usb_free_urb" },
	{ 0x7ec9bfbc, "strncpy" },
	{ 0xdca837db, "usbnet_get_drvinfo" },
	{ 0xca762444, "mii_link_ok" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6b30e041, "mii_ethtool_gset" },
	{ 0x864bea7f, "mii_check_media" },
	{ 0xea147363, "printk" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c6616, "usb_control_msg" },
	{ 0x5a34a45c, "__kmalloc" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore,mii";

MODULE_ALIAS("usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "1AC22455CDD31C43C20174E");
